function PrintDefaultParameter( PropString, Value )

    %simple function to print default properties in a nicely formatted
    %manner
    
    if ischar( Value )
        fprintf('Missing field in ''options'': %-23s  (default = ''%s'')\n',PropString, Value)
    elseif round(Value) == Value
        fprintf('Missing field in ''options'': %-23s  (default = %i)\n',PropString, Value)
    else
        fprintf('Missing field in ''options'': %-23s  (default = %.2e)\n',PropString, Value)
    end

end

