%% Build 2D objective functions
try
    coder -build EvalObjective2D.prj
    copyfile('EvalObjective2D_mex.mexw64','../EvalObjective2D_mex.mexw64')
    disp('Project ''EvalObjective2D'' successfully built!')
catch exception
    warning('WarnTests:convertTest','Project ''EvalObjective2D'' failed (%s)',exception.message)
end

try
    coder -build EvalObjective2D_fval.prj
    copyfile('EvalObjective2D_fval_mex.mexw64','../EvalObjective2D_fval_mex.mexw64')
    disp('Project ''EvalObjective2D_fval'' successfully built!')
catch exception
    warning('WarnTests:convertTest','Project ''EvalObjective2D_fval'' failed (%s)',exception.message)
end

try
    coder -build EvalObjective2D_Jac.prj
    copyfile('EvalObjective2D_Jac_mex.mexw64','../EvalObjective2D_Jac_mex.mexw64')
    disp('Project ''EvalObjective2D_Jac'' successfully built!')
catch exception
    warning('WarnTests:convertTest','Project ''EvalObjective2D_Jac'' failed (%s)',exception.message)
end

try
    coder -build EvalObjective2D_fvalJac.prj
    copyfile('EvalObjective2D_fvalJac_mex.mexw64','../EvalObjective2D_fvalJac_mex.mexw64')
    disp('Project ''EvalObjective2D_fvalJac'' successfully built!')
catch exception
    warning('WarnTests:convertTest','Project ''EvalObjective2D_fvalJac'' failed (%s)',exception.message)
end

try
    coder -build EvalObjective2D_Hess.prj
    copyfile('EvalObjective2D_Hess_mex.mexw64','../EvalObjective2D_Hess_mex.mexw64')
    disp('Project ''EvalObjective2D_Hess'' successfully built!')
catch exception
    warning('WarnTests:convertTest','Project ''EvalObjective2D_Hess'' failed (%s)',exception.message)
end

%% Build 3D objective functions
try
    coder -build EvalObjective3D.prj
    copyfile('EvalObjective3D_mex.mexw64','../EvalObjective3D_mex.mexw64')
    disp('Project ''EvalObjective3D'' successfully built!')
catch exception
    warning('WarnTests:convertTest','Project ''EvalObjective3D'' failed (%s)',exception.message)
end

try
    coder -build EvalObjective3D_fval.prj
    copyfile('EvalObjective3D_fval_mex.mexw64','../EvalObjective3D_fval_mex.mexw64')
    disp('Project ''EvalObjective3D_fval'' successfully built!')
catch exception
    warning('WarnTests:convertTest','Project ''EvalObjective3D_fval'' failed (%s)',exception.message)
end

try
    coder -build EvalObjective3D_Jac.prj
    copyfile('EvalObjective3D_Jac_mex.mexw64','../EvalObjective3D_Jac_mex.mexw64')
    disp('Project ''EvalObjective3D_Jac'' successfully built!')
catch exception
    warning('WarnTests:convertTest','Project ''EvalObjective3D_Jac'' failed (%s)',exception.message)
end

try
    coder -build EvalObjective3D_fvalJac.prj
    copyfile('EvalObjective3D_fvalJac_mex.mexw64','../EvalObjective3D_fvalJac_mex.mexw64')
    disp('Project ''EvalObjective3D_fvalJac'' successfully built!')
catch exception
    warning('WarnTests:convertTest','Project ''EvalObjective3D_fvalJac'' failed (%s)',exception.message)
end

try
    coder -build EvalObjective3D_Hess.prj
    copyfile('EvalObjective3D_Hess_mex.mexw64','../EvalObjective3D_Hess_mex.mexw64')
    disp('Project ''EvalObjective3D_Hess'' successfully built!')
catch exception
    warning('WarnTests:convertTest','Project ''EvalObjective3D_Hess'' failed (%s)',exception.message)
end
