/*
 * EvalObjective2D_fvalJac_types.h
 *
 * Code generation for function 'EvalObjective2D_fvalJac'
 *
 */

#ifndef __EVALOBJECTIVE2D_FVALJAC_TYPES_H__
#define __EVALOBJECTIVE2D_FVALJAC_TYPES_H__

/* Include files */
#include "rtwtypes.h"

/* Type Definitions */
#ifndef struct_emxArray_real_T
#define struct_emxArray_real_T
struct emxArray_real_T
{
    real_T *data;
    int32_T *size;
    int32_T allocatedSize;
    int32_T numDimensions;
    boolean_T canFreeData;
};
#endif /*struct_emxArray_real_T*/
#ifndef typedef_emxArray_real_T
#define typedef_emxArray_real_T
typedef struct emxArray_real_T emxArray_real_T;
#endif /*typedef_emxArray_real_T*/
#ifndef struct_emxArray_char_T
#define struct_emxArray_char_T
struct emxArray_char_T
{
    char_T *data;
    int32_T *size;
    int32_T allocatedSize;
    int32_T numDimensions;
    boolean_T canFreeData;
};
#endif /*struct_emxArray_char_T*/
#ifndef typedef_emxArray_char_T
#define typedef_emxArray_char_T
typedef struct emxArray_char_T emxArray_char_T;
#endif /*typedef_emxArray_char_T*/
#ifndef typedef_struct1_T
#define typedef_struct1_T
typedef struct
{
    real_T OnlyContinuousRanges;
    real_T GradSmooth_On;
    real_T GradSmooth_Lambda;
    real_T GradSmooth_MaxDistFac;
    real_T verbosity;
    real_T UseMex;
    emxArray_char_T *SolverID;
} struct1_T;
#endif /*typedef_struct1_T*/
#ifndef typedef_struct0_T
#define typedef_struct0_T
typedef struct
{
    emxArray_real_T *R;
    emxArray_real_T *dkx;
    emxArray_real_T *dky;
    emxArray_real_T *dkz;
    real_T Gmax;
    real_T Smax;
    struct1_T Options;
    real_T OptsVector[4];
    emxArray_real_T *D;
    emxArray_real_T *Hs;
} struct0_T;
#endif /*typedef_struct0_T*/

#endif
/* End of code generation (EvalObjective2D_fvalJac_types.h) */
