function forwardmagn = CalculateMagnetization( options, A, RF )

    % Compute magnetization from system matrix and RF and bring into
    % correct format

    %sparse target magnetization
    mt_inroi 	= A * RF;
    mt       	= zeros( options.nx, options.ny, options.nz );
	Ind        	= sub2ind([ options.nx, options.ny, options.nz ], options.xidx_all, options.yidx_all, options.zidx_all);
    mt( Ind ) 	= mt_inroi;
    
    %get flipanle and phase images
    forwardmagn.mx      = [];
    forwardmagn.my      = [];
    forwardmagn.mz      = [];
    forwardmagn.mt    	= mt;
    forwardmagn.flip    = magn2flip( mt );
    forwardmagn.phase   = real( angle(mt) );
    
end

