function PrepareSaveFolder( Appendix )

    % Set a global variable, check folders, create folders, give some output
    % to command
    
    %top level folder
    if ~exist('SavedIterations', 'dir')
        mkdir('SavedIterations')
    end
        
    %specific folder
    global DateString
    DateString  = strrep(datestr(clock),':','_');
    DateString  = strrep(DateString,' ','_');
    DateString  = strrep(DateString,'-','_');
    
    if nargin > 0
        DateString = [DateString,' ',Appendix];
    end
    
    if ~exist(['SavedIterations/',DateString], 'dir')
        mkdir(['SavedIterations/',DateString])
    else
        warning('Save folder already exists, iterations may be overwritten (''SavedIterations/%s'')!\n',DateString)
    end

end
